> For the complete documentation index, see [llms.txt](https://developer.harness.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.harness.io/release-orchestration/api-reference/yaml-schema.md).

# YAML Schema

## Get YAML Schema

> Returns the JSON Schema for the specified entity type. Supports entityType=PROCESS, ACTIVITY, and PROCESS\_INPUT.

```json
{"openapi":"3.0.0","info":{"title":"rms","version":"1.0"},"tags":[{"name":"YAML Schema"}],"servers":[{"url":"/api"}],"paths":{"/yamlSchema":{"get":{"description":"Returns the JSON Schema for the specified entity type. Supports entityType=PROCESS, ACTIVITY, and PROCESS_INPUT.","operationId":"GetYamlSchema","parameters":[{"$ref":"#/components/parameters/AccountParam"},{"$ref":"#/components/parameters/OrgParam"},{"$ref":"#/components/parameters/ProjectParam"},{"description":"The entity type whose YAML schema to retrieve","in":"query","name":"entityType","required":true,"schema":{"enum":["PROCESS","ACTIVITY","PROCESS_INPUT"],"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"additionalProperties":true,"description":"A valid JSON Schema document","type":"object"}}},"description":"JSON Schema for the requested entity type"},"400":{"$ref":"#/components/responses/ErrorResponse"},"403":{"$ref":"#/components/responses/ErrorResponse"},"500":{"$ref":"#/components/responses/ErrorResponse"}},"summary":"Get YAML Schema","tags":["YAML Schema"]}}},"components":{"parameters":{"AccountParam":{"description":"Account Identifier","in":"header","name":"Harness-Account","required":true,"schema":{"type":"string"}},"OrgParam":{"description":"Organisation Identifier","in":"query","name":"orgIdentifier","schema":{"type":"string"}},"ProjectParam":{"description":"Project Identifier","in":"query","name":"projectIdentifier","schema":{"type":"string"}}},"responses":{"ErrorResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Error Response body"}},"schemas":{"Error":{"description":"Error Response","properties":{"code":{"description":"canonical error code name","enum":["BAD_REQUEST","UNAUTHORIZED","FORBIDDEN","NOT_FOUND","INTERNAL_SERVER_ERROR"],"type":"string"},"explanation":{"description":"additional context about why the error occurred","type":"string"},"governanceMetadata":{"$ref":"#/components/schemas/GovernanceMetadata"},"message":{"description":"error message detail","type":"string"},"probable_fixes":{"description":"suggested actions to resolve the error","items":{"type":"string"},"type":"array"}},"required":["message"],"title":"Error Response","type":"object"},"GovernanceMetadata":{"properties":{"accountId":{"type":"string"},"action":{"type":"string"},"created":{"type":"string"},"deny":{"type":"boolean"},"details":{"items":{"$ref":"#/components/schemas/PolicySetMetadata"},"type":"array"},"entity":{"type":"string"},"id":{"type":"string"},"message":{"type":"string"},"orgId":{"type":"string"},"projectId":{"type":"string"},"status":{"type":"string"},"timestamp":{"type":"string"},"type":{"type":"string"}},"type":"object"},"PolicySetMetadata":{"properties":{"accountId":{"type":"string"},"created":{"type":"string"},"deny":{"type":"boolean"},"description":{"type":"string"},"identifier":{"type":"string"},"orgId":{"type":"string"},"policyMetadata":{"items":{"$ref":"#/components/schemas/PolicyMetadata"},"type":"array"},"policySetId":{"type":"string"},"policySetName":{"type":"string"},"projectId":{"type":"string"},"status":{"type":"string"}},"type":"object"},"PolicyMetadata":{"properties":{"accountId":{"type":"string"},"created":{"type":"string"},"denyMessages":{"items":{"type":"string"},"type":"array"},"error":{"type":"string"},"identifier":{"type":"string"},"orgId":{"type":"string"},"policyId":{"type":"string"},"policyName":{"type":"string"},"projectId":{"type":"string"},"severity":{"type":"string"},"status":{"type":"string"},"updated":{"type":"string"}},"type":"object"}}}}
```
